# Get device by ID

Retrieves a specific device of the given user. This requires a **client access token** of the application, and must be called from the backend. **Required permissions**: `apps:read`, `[appId]:read`, `devices:read`.

Endpoint: GET /v1/users/{user_id}/devices/{device_id}
Security: ClientAccessToken

## Security:

  - `ClientAccessToken` (unknown)
    oauth2

## Path parameters:

  - `user_id` (string, required)
    User ID

  - `device_id` (string, required)
    Device ID

## Response 200:

  - `200` (unknown)
    Device info

## Response 200 fields (application/json):

  - `user_id` (string, required)
    User identifier

  - `device_id` (string, required)
    Unique identifier for the device

  - `status` (string, required)
    Status of the device
    Enum: "active", "suspended"

  - `display_name` (string)
    Display name for the device

  - `device_type` (string, required)
    Type of the device
    Enum: "mobile", "web"

  - `hardware_model` (string)
    Hardware model of the device

  - `os` (string)
    Operating system of the device

  - `browser` (string)
    Browser used on the device

  - `registered_ip` (string)
    IP address from which the device was registered

  - `registered_region` (string)
    Region from which the device was registered

  - `last_authenticated` (string)
    Timestamp of last successful authentication

  - `last_auth_attempt` (string)
    Timestamp of last authentication attempt

  - `created_at` (string, required)
    Timestamp when the device was created

  - `updated_at` (string)
    Timestamp when the device was last updated

